Public Types | Public Member Functions

# Glib::MarkupError Class Reference
[Simple XML Subset Parser]

Exception class for markup parsing errors. More...

`#include <glibmm/markup.h>`

Inheritance diagram for Glib::MarkupError:
[legend]

List of all members.

## Public Types
enum | Code { BAD_UTF8, EMPTY, PARSE, UNKNOWN_ELEMENT, UNKNOWN_ATTRIBUTE, INVALID_CONTENT, MISSING_ATTRIBUTE }
## Public Member Functions
| MarkupError (Code error_code, const Glib::ustring& error_message)
| MarkupError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for markup parsing errors.

## Member Enumeration Documentation

enum Glib::MarkupError::Code

Enumerator:

  BAD_UTF8 | Text being parsed was not valid UTF-8.
  EMPTY | Document contained nothing, or only whitespace.
  PARSE | Document was ill-formed.
  UNKNOWN_ELEMENT | This error should be set by Glib::Markup::Parser virtual methods; element wasn't known.
  UNKNOWN_ATTRIBUTE | This error should be set by Glib::Markup::Parser virtual methods; attribute wasn't known.
  INVALID_CONTENT | This error should be set by Glib::Markup::Parser virtual methods; something was wrong with contents of the document, e.g. invalid attribute value.
  MISSING_ATTRIBUTE |

## Constructor & Destructor Documentation

Glib::MarkupError::MarkupError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::MarkupError::MarkupError | ( | GError * | gobject ) | `[explicit]`

## Member Function Documentation

Code Glib::MarkupError::code | ( | ) | const

Reimplemented from Glib::Error.